Create AIPrompt

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/aiprompt
API call form
Examples
List of examples
  • Generate a chart with the item agent, limited to one dataset
  • Stream a prompt over SSE using item context
Install
dotnet add package LuzmoSDK --version 1.0.3
Example Response
200
400
500
{
  "conversation_id": "fdce930b-4f6d-4d2b-8a43-7ea7d62457a2",
  "user_message": {
    "id": "1f3bb2f4-7589-40bc-b7d2-9a84b446d9ef",
    "conversation_id": "fdce930b-4f6d-4d2b-8a43-7ea7d62457a2",
    "message": "Show monthly revenue as a line chart.",
    "role": "user",
    "agent": "item",
    "task": "generate",
    "locale_id": "en",
    "created_at": "2026-05-14T10:03:11.000Z",
    "updated_at": "2026-05-14T10:03:11.000Z",
    "aiMessageAssets": []
  },
  "assistant_message": {
    "id": "2fdbacdc-d6e6-4a73-b22c-c4b6e9a10d98",
    "conversation_id": "fdce930b-4f6d-4d2b-8a43-7ea7d62457a2",
    "message": "Created a visualization.",
    "role": "assistant",
    "agent": null,
    "task": null,
    "locale_id": "en",
    "created_at": "2026-05-14T10:03:13.000Z",
    "updated_at": "2026-05-14T10:03:13.000Z",
    "aiMessageAssets": [
      {
        "id": "7bfcf7ff-dcb2-4963-9e9b-0fe651a342af",
        "message_id": "2fdbacdc-d6e6-4a73-b22c-c4b6e9a10d98",
        "type": "item",
        "value": {
          "type": "line-chart",
          "options": {},
          "slots": [],
          "filters": []
        },
        "created_at": "2026-05-14T10:03:13.000Z",
        "updated_at": "2026-05-14T10:03:13.000Z"
      }
    ]
  }
}